# TODO gettext support
Summary:	DILLO - The FLTK Web Browser
Summary(pl.UTF-8):	DILLO - przeglądarka WWW
Name:		dillo
Version:	3.0.2
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.dillo.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	81b82112cefcc7d54fe2972a21f42930
Source1:	%{name}.desktop
Source2:	%{name}.png
# needs a review, disabled for now
Patch0:		%{name}-gzip_fallback.patch
Patch1:		%{name}-ac.patch
#Patch2:		%{name}-libpng.patch
URL:		http://www.dillo.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fltk-devel >= 1.3.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.9
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/dillo

%description
Dillo is a small FLTK based (GNOME is NOT required!) web browser.
Dillo aims to be a multi-platform browser alternative that's small,
stable, developer-friendly, usable, fast, and extensible.

%description -l pl.UTF-8
Dillo jest małą, opartą na bibliotece FLTK (GNOME nie jest wymagany)
przeglądarką WWW. Dillo ma być wieloplatformową alternatywną
przeglądarką, która jest mała, stabilna, przyjazna dla developerów,
użyteczna, szybka i rozszerzalna.

%prep
%setup -q
#%%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-cookies \
	--enable-ipv6 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

#%%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog dillorc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%dir %{_libdir}/dillo
%attr(755,root,root) %{_libdir}/dillo/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_mandir}/man1/dillo.1*
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dillo.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2640039
- release 3 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> beeb47d
- release 2

* Sun Dec 11 2011 witekfl <witekfl@pld-linux.org> 9f9baff
- up to 3.0.2
- BR: fltk-devel >= 1.3.0
- libpng.patch obsolete

* Fri Sep 09 2011 Zsolt Udvari <uzsolt@pld-linux.org> f676ec3
- 3.0
- untested (does not exist fltk-devel now)

* Wed Feb 24 2010 Szymon Siwek <sls@pld-linux.org> 15c5ed2
- packaged dillo man
- aspellized previous commitlog

* Wed Feb 24 2010 Szymon Siwek <sls@pld-linux.org> 8620dc0
- libpng.patch is still useful, nice

* Wed Feb 24 2010 Szymon Siwek <sls@pld-linux.org> 20ba49c
- merge from DEVEL

* Mon Feb 22 2010 Szymon Siwek <sls@pld-linux.org> 1775767
- ver. 2.2 (NFY)

* Fri Jan 29 2010 sparky <sparky@pld-linux.org> 711e3aa
- BR: fltk-devel

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 896c0fa
- rel 5; libpng fix

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 32ed700
- release 4

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 403e964
- release 3

* Tue Mar 24 2009 duddits <duddits@pld-linux.org> 132f841
- reverted

* Tue Mar 24 2009 duddits <duddits@pld-linux.org> fabd671
- up to fit 2.0

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 6f52b49
- added -ac.patch to fix build
- release 2

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> c3643a0
- fix build

* Fri May 02 2008 Elan Ruusamäe <glen@pld-linux.org> 05aab23
- release 1 (for claws-mail)

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> ab0dcca
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dadeb95
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 90a4baa
- converted to UTF-8

